Home > Vmware Workstation > Vmware Fedora 11 Unable To Build The Vmmon Module

Vmware Fedora 11 Unable To Build The Vmmon Module

Contents

Was struggling to Get Workstation 12.1 to work on Fedora 23. SUBDIRS=$PWD SRCROOT=$PWD/. \ MODULEBUILDDIR= modulesgmake[1]: Entering directory '/usr/src/kernels/4.4.2-301.fc23.x86_64' CC [M] /usr/lib/vmware/modules/source/vmmon-only/linux/driver.o/usr/lib/vmware/modules/source/vmmon-only/linux/driver.c: In function ‘cleanup_module':/usr/lib/vmware/modules/source/vmmon-only/linux/driver.c:390:8: error: void value not ignored as it ought to be if (misc_deregister(&linuxState.misc)) { ^At top level:/usr/lib/vmware/modules/source/vmmon-only/linux/driver.c:1285:1: warning: What did you do to get yours working?DeleteJan BohrerJuly 23, 2016 at 7:27 PMVincent - not completely confident it's not corrupted, but it was working before the kernel upgrade.DeleteJan BohrerJuly 24, Please note that these instructions work for VMW11 as well. Source

This error does not appear to be related to the linux kernel version. If you don't you can easily install them by running Code: sudo apt-get install linux-headers-`uname -r` That will grab you the correct header files for your kernel and you should be Download Linux @ http://www.fedora.redhat.com/ May the Linux force be with you! Desrosiers said on January 30th, 2010 at 6:20 pm quote @Adi: Yes, that looks like your system is still trying to use an older config directory to build.

Vmware Workstation Fedora 24

Is there a non-medical name for the curve where index finger and thumb meet? Unable to install vmnet I opened nautilus to see whta happen during the compilation time in /tmp/vmware-root/ and the directory modules/vmnet-only is created but in the end the process delete it Ubuntu 15.04, kernel 3.19.0-20-generic –Numbers Jun 13 '15 at 19:29 Doesn't work on linux mint –user983803 Jul 21 at 17:05 add a comment| up vote 3 down vote VMware Lars 0 Message Author Comment by:jimtwest3 ID: 251228012009-08-18 I solved my problem.

Thank you for this. thanks~ –harayz Feb 8 '14 at 23:10 add a comment| up vote 2 down vote If you upgrade 12.04 Hardware Enablement Stack to the 14.04 version without fully upgrading the whole Here is what I get when I try to locate it;sudo find /usr -name vmware-netcfg/usr/lib/vmware/bin/vmware-netcfg$ file /usr/lib/vmware/bin/vmware-netcfg/usr/lib/vmware/bin/vmware-netcfg: symbolic link to /usr/lib/vmware/bin/appLoader$ file /usr/lib/vmware/bin/appLoader/usr/lib/vmware/bin/appLoader: ELF 64-bit LSB shared object, x86-64, version 1 Vmware Player Fedora 23 Crap, installed a new Win 7 copy from .iso and got this new error trying to actually play the VM: Quote: Failed to open device "/dev/vmci": No such file or directory

Whoohoo! 2014-12-01T02:03:59.826-06:00| vthread-3| I120: The GCC version matches the kernel GCC minor version like a glove. 2014-12-01T02:03:59.826-06:00| vthread-3| I120: Validating path "/lib/modules/3.17.3-200.fc20.x86_64/build/include" for kernel release "3.17.3-200.fc20.x86_64". 2014-12-01T02:03:59.826-06:00| vthread-3| I120: using /usr/bin/gcc fix is working "out-of-the-box"ReplyDeletechristos vezalisDecember 5, 2015 at 10:51 AMThank you, it works for me too.ReplyDelete>[Gg]December 9, 2015 at 2:42 PMWorking now! And also your HOME env variable seems missing.Are you confident that your VMW install isn't corrupted?Regards,VincentDeleteEdJuly 23, 2016 at 11:01 [email protected] I am also running Fedora 24 but had an issue Worked like a charm on Fedora 24.ReplyDeleteBarry FriedmanJuly 5, 2016 at 12:18 PMThank you.

Please help! Vmware Workstation Fedora 23 Any help is greatly appreciated. This patch is PASS. –QJGui Jul 22 '14 at 2:26 The solution also applies to 'VNetFilterHookFn' type errors on 10.0.1 on 14.04 –RobotHumans Sep 4 '14 at 21:23 2 The kernel-headers were therefore out of sync because I was on an older kernel but the kernel headers installed were for the newer kernel.

Install Vmware On Fedora 23

Is it because the VMware code doesn't have problems but it is not possible to come up with something generic that works everywhere...therefore the Linux related patches ? For convenience, I've also attached the script in this post (vmware802fixlinux320.tar.gz) Attached Files log.txt (14.0 KB, 144 views) vmware802fixlinux320.tar.gz (2.0 KB, 892 views) Last edited by caveman7; April 8th, 2012 at Vmware Workstation Fedora 24 Much appreciated!ReplyDeleteHeraldo Barros Bahiense FilhoJuly 21, 2016 at 3:44 AMThis comment has been removed by the author.ReplyDeleteHeraldo Barros Bahiense FilhoJuly 21, 2016 at 3:44 AMThis comment has been removed by the Fedora 23 Vmware Workstation 12 Alter disabled trigger in SQL Server without enabling it What are these boxes mounted inline on each of the 3 phase wires of a high voltage power line in Miami?

Lars 0 Message Author Comment by:jimtwest3 ID: 251135512009-08-17 When I applied that patch using the recipe, it appeared to apply ok. this contact form Update (20160525): I updated myUpdate_VMW.shscript to patch the VMware kernel modules so they work on kernel 4.4.x and above (FC23+). Thanks! The error in both cases during the make is "too many arguments to function 'get_user_pages'". Vmware Player Fedora 24

Can you try it? Help, my office wants infinite branch merges as policy; what other options do we have? Whoohoo! 2014-12-01T02:03:59.845-06:00| vthread-3| I120: Using temp dir "/tmp". 2014-12-01T02:03:59.846-06:00| vthread-3| I120: Obtaining info using the running kernel. 2014-12-01T02:03:59.847-06:00| vthread-3| I120: Setting header path for 3.17.3-200.fc20.x86_64 to "/lib/modules/3.17.3-200.fc20.x86_64/build/include". 2014-12-01T02:03:59.847-06:00| vthread-3| I120: Validating http://webinweb.net/vmware-workstation/vmware-workstation-unable-to-build-kernel-module.html However, when I try to run the command, the build is failed(The log is as follow), according to the log, I found it is the error for get_user_pages() arguments is wrong.In

So I rebooted back to the new kernel and ran Andy's modified version of Vincent's script. Fedora 24 Vmware I get the exact same error as installing VMWare Workstation 6.0.0, and VMWare Workstation 6.5.2 would not install on Fedora 11. 0 LVL 18 Overall: Level 18 VMware 17 Linux Using default values. 2014-02-03T16:32:00.904+08:00| vthread-3| I120: Msg_Reset: 2014-02-03T16:32:00.904+08:00| vthread-3| I120: [msg.dictionary.load.openFailed] Cannot open file "/root/.vmware/config": No such file or directory. 2014-02-03T16:32:00.904+08:00| vthread-3| I120: ---------------------------------------- 2014-02-03T16:32:00.904+08:00| vthread-3| I120: PREF Optional preferences file

any idea why and which log files should i produce here?

Thank you so much! Either that or I made another stupid mistake ;) David A. yes it is the trial version version 12...here is the output...[[email protected] ~]# bash -x vmware-modconfig --console --install-all+ set -e+ ETCDIR=/etc/vmware+ . /etc/vmware/bootstrap++ PREFIX=/usr++ BINDIR=/usr/bin++ SBINDIR=/usr/sbin++ LIBDIR=/usr/lib++ DATADIR=/usr/share++ SYSCONFDIR=/etc++ DOCDIR=/usr/share/doc++ MANDIR=/usr/share/man++ INCLUDEDIR=/usr/include++ Vmware Workstation 12 Fedora 24 Desrosiers said on April 18th, 2011 at 9:25 am quote This should help: https://www.assembla.com/code/id_slackware/subversion/nodes/trunk/vmware/vmware-2.6.37/vmware-7.1.3-2.6.37-9-generic.patch?rev=11 And this script, which you'll have to modify somewhat to support what you're doing: https://www.assembla.com/code/id_slackware/subversion/nodes/trunk/vmware/vmware-2.6.37/patch-modules_v62.sh?rev=11 jecko said

Whoohoo! 2014-12-01T02:03:59.303-06:00| vthread-3| I120: Reading in info for the vmmon module. 2014-12-01T02:03:59.303-06:00| vthread-3| I120: Reading in info for the vmnet module. 2014-12-01T02:03:59.303-06:00| vthread-3| I120: Reading in info for the vmblock module. I have some kernel problem. Do you want this program to try to build the vmmon module for your system (you need to have a C compiler installed on your system)? [yes] Using compiler "/usr/bin/gcc". Check This Out Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding MembersPowered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

But that is ok. 2014-02-03T16:32:01.553+08:00| vthread-3| I120: Using user supplied compiler "/usr/bin/gcc". 2014-02-03T16:32:01.562+08:00| vthread-3| I120: Got gcc version "4.8". 2014-02-03T16:32:01.563+08:00| vthread-3| I120: GCC minor version 4 does not match Kernel GCC Covered by US Patent. modulesmake[1]: Entering directory `/usr/src/kernels/2.6.23.15-137.fc8-i686'CC /tmp/vmware-config0/vmmon-only/linux/driver.oIn file included from /tmp/vmware-config0/vmmon-only/linux/driver.c:80:/tmp/vmware-config0/vmmon-only/./include/compat_kernel.h:21: error: expected declaration specifiers or '...' before 'compat_exit'/tmp/vmware-config0/vmmon-only/./include/compat_kernel.h:21: error: expected declaration specifiers or '...' before 'exit_code'/tmp/vmware-config0/vmmon-only/./include/compat_kernel.h:21: warning: type defaults to 'int' Failed to execute the build Command1Unable to install VMware kernel modules in Workstation 11 on Ubuntu 16.04 Hot Network Questions How to respond to a ridiculous request from a senior colleague?

source share|improve this answer edited Jun 12 '15 at 15:04 answered Feb 8 '15 at 13:25 Kirill F. 1415 Thanks, this did the trick for me in Ubuntu 15.04 It's quite usual that the vmware modules would fail to build with a new kernel, you can either stick with the older kernel or find a patch to make it work,